# Update the desktop database:
if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
fi

# Update icon cache if one exists
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
  	/usr/bin/gtk-update-icon-cache -t -f -q usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd etc/cron.daily ; rm -rf blisk-browser )
( cd etc/cron.daily ; ln -sf /opt/blisk/cron/blisk-browser blisk-browser )
( cd usr/bin ; rm -rf blisk-browser-stable )
( cd usr/bin ; ln -sf /opt/blisk/blisk-browser blisk-browser-stable )
( cd usr/man/man1 ; rm -rf blisk-browser.1.gz )
( cd usr/man/man1 ; ln -sf blisk-browser-stable.1.gz blisk-browser.1.gz )
